Browse Source

rust nightly-2021-03-24

Mokhtar Naamani 3 years ago
parent
commit
f7e53e4dba

+ 1 - 1
README.md

@@ -89,7 +89,7 @@ You can also run your our own joystream-node:
 
 ```sh
 git checkout master
-WASM_BUILD_TOOLCHAIN=nightly-2021-02-20 cargo build --release
+WASM_BUILD_TOOLCHAIN=nightly-2021-03-24 cargo build --release
 ./target/release/joystream-node -- --pruning archive --chain testnets/joy-testnet-4.json
 ```
 

+ 1 - 1
devops/git-hooks/pre-push

@@ -1,7 +1,7 @@
 #!/bin/sh
 set -e
 
-export WASM_BUILD_TOOLCHAIN=nightly-2021-02-20
+export WASM_BUILD_TOOLCHAIN=nightly-2021-03-24
 
 echo 'running clippy (rust linter)'
 # When custom build.rs triggers wasm-build-runner-impl to build we get error:

+ 5 - 4
joystream-node.Dockerfile

@@ -1,7 +1,8 @@
-FROM liuchong/rustup:1.51.0 AS rustup
+FROM liuchong/rustup:nightly AS rustup
 RUN rustup component add rustfmt clippy
-RUN rustup install nightly-2021-02-20 --force
-RUN rustup target add wasm32-unknown-unknown --toolchain nightly-2021-02-20
+RUN rustup install nightly-2021-03-24
+RUN rustup default nightly-2021-03-24
+RUN rustup target add wasm32-unknown-unknown --toolchain nightly-2021-03-24
 RUN apt-get update && \
   apt-get install -y curl git gcc xz-utils sudo pkg-config unzip clang llvm libc6-dev
 
@@ -12,7 +13,7 @@ COPY . /joystream
 
 # Build all cargo crates
 # Ensure our tests and linter pass before actual build
-ENV WASM_BUILD_TOOLCHAIN=nightly-2021-02-20
+ENV WASM_BUILD_TOOLCHAIN=nightly-2021-03-24
 RUN BUILD_DUMMY_WASM_BINARY=1 cargo clippy --release --all -- -D warnings && \
     cargo test --release --all && \
     cargo build --release

+ 2 - 2
node/README.md

@@ -26,7 +26,7 @@ cd joystream/
 Compile the node and runtime:
 
 ```bash
-WASM_BUILD_TOOLCHAIN=nightly-2021-02-20 cargo build --release
+WASM_BUILD_TOOLCHAIN=nightly-2021-03-24 cargo build --release
 ```
 
 This produces the binary in `./target/release/joystream-node`
@@ -79,7 +79,7 @@ If you are building a tagged release from `master` branch and want to install th
 This will install the executable `joystream-node` to your `~/.cargo/bin` folder, which you would normally have in your `$PATH` environment.
 
 ```bash
-WASM_BUILD_TOOLCHAIN=nightly-2021-02-20 cargo install joystream-node --path node/ --locked
+WASM_BUILD_TOOLCHAIN=nightly-2021-03-24 cargo install joystream-node --path node/ --locked
 ```
 
 Now you can run and connect to the testnet:

+ 1 - 1
scripts/cargo-build.sh

@@ -1,5 +1,5 @@
 #!/usr/bin/env bash
 
-export WASM_BUILD_TOOLCHAIN=nightly-2021-02-20
+export WASM_BUILD_TOOLCHAIN=nightly-2021-03-24
 
 cargo build --release

+ 7 - 0
scripts/cargo-tests-with-networking.sh

@@ -0,0 +1,7 @@
+#!/bin/sh
+set -e
+
+export WASM_BUILD_TOOLCHAIN=nightly-2021-03-24
+
+echo 'running all cargo tests'
+cargo test --release --all -- --ignored

+ 1 - 1
scripts/raspberry-cross-build.sh

@@ -9,7 +9,7 @@
 export WORKSPACE_ROOT=`cargo metadata --offline --no-deps --format-version 1 | jq .workspace_root -r`
 
 docker run \
-    -e WASM_BUILD_TOOLCHAIN=nightly-2021-02-20 \
+    -e WASM_BUILD_TOOLCHAIN=nightly-2021-03-24 \
     --volume ${WORKSPACE_ROOT}/:/home/cross/project \
     --volume ${HOME}/.cargo/registry:/home/cross/.cargo/registry \
     joystream/rust-raspberry \

+ 1 - 1
scripts/run-dev-chain.sh

@@ -1,6 +1,6 @@
 #!/usr/bin/env bash
 
-export WASM_BUILD_TOOLCHAIN=nightly-2021-02-20
+export WASM_BUILD_TOOLCHAIN=nightly-2021-03-24
 
 # Build release binary
 cargo build --release

+ 3 - 4
setup.sh

@@ -25,11 +25,10 @@ curl https://getsubstrate.io -sSf | bash -s -- --fast
 
 source ~/.cargo/env
 
-rustup install nightly-2021-02-20
-rustup target add wasm32-unknown-unknown --toolchain nightly-2021-02-20
+rustup install nightly-2021-03-24
+rustup target add wasm32-unknown-unknown --toolchain nightly-2021-03-24
 
-rustup install 1.51.0
-rustup default 1.51.0
+rustup default nightly-2021-03-24
 
 rustup component add rustfmt clippy